API server
https://app.coolify.io/api/v1Update service by UUID.
Authorization
bearerAuth Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
UUID of the service.
Request Body
application/json
Service updated.
TypeScript Definitions
Use the request body type in TypeScript.
The service name.
The service description.
The flag to indicate if the service should be deployed instantly.
Connect the service to the predefined docker network.
falseThe base64 encoded Docker Compose content.
Array of URLs to be applied to containers of a service.
Force domain override even if conflicts are detected.
falseEscape special characters in labels. By default, $ (and other chars) is escaped. If you want to use env variables inside the labels, turn this off.
trueResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://app.coolify.io/api/v1/services/string" \ -H "Content-Type: application/json" \ -d '{}'{ "uuid": "string", "domains": [ "string" ]}{ "message": "Invalid token."}{ "message": "Unauthenticated."}{ "message": "Resource not found."}{ "message": "Domain conflicts detected. Use force_domain_override=true to proceed.", "warning": "Using the same domain for multiple resources can cause routing conflicts and unpredictable behavior.", "conflicts": [ { "domain": "example.com", "resource_name": "My Application", "resource_uuid": "abc123-def456", "resource_type": "application", "message": "Domain example.com is already in use by application 'My Application'" } ]}{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}